| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::CylindricalWarperGpu Class Reference
Images stitching » Images Warping

`#include <opencv2/stitching/detail/warpers.hpp>`

Collaboration diagram for cv::detail::CylindricalWarperGpu:

## Public Member Functions
| CylindricalWarperGpu (float scale)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, cuda::GpuMat &xmap, cuda::GpuMat &ymap)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data.
Point | warp (const cuda::GpuMat &src, InputArray K, InputArray R, int interp_mode, int border_mode, cuda::GpuMat &dst)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image.
Public Member Functions inherited from cv::detail::CylindricalWarper
| CylindricalWarper (float scale)
| Construct an instance of the cylindrical warper class.
Public Member Functions inherited from cv::detail::RotationWarperBase< CylindricalProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data.
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image.
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward.
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point.
Point2f | warpPointBackward (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point backward.
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::CylindricalWarper
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< CylindricalProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)
Protected Attributes inherited from cv::detail::RotationWarperBase< CylindricalProjector >
CylindricalProjector | projector_

## Constructor & Destructor Documentation

## ◆ CylindricalWarperGpu()

cv::detail::CylindricalWarperGpu::CylindricalWarperGpu | ( | float | scale | ) |
| inline

## Member Function Documentation

## ◆ buildMaps() [1/2]

Rect cv::detail::CylindricalWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | cuda::GpuMat & | xmap,
|  | cuda::GpuMat & | ymap )

## ◆ buildMaps() [2/2]

Rect cv::detail::CylindricalWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap )
| inline virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Reimplemented from cv::detail::CylindricalWarper.

## ◆ warp() [1/2]

Point cv::detail::CylindricalWarperGpu::warp | ( | const cuda::GpuMat & | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | cuda::GpuMat & | dst )

## ◆ warp() [2/2]

Point cv::detail::CylindricalWarperGpu::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst )
| inline virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Reimplemented from cv::detail::CylindricalWarper.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/warpers.hpp